Skip to content

StreamInviteLinksController_command

POST
/api/streams/{id}/invite-link
curl --request POST \
--url https://api.streams.chat/api/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/invite-link \
--header 'Content-Type: application/json' \
--data '{ "action": "enable", "lifetime": "24h", "expectedRevision": 1, "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
One of:
object
action
required
string
Allowed values: enable
lifetime
string
Allowed values: 24h 7d 30d never
expectedRevision
required
integer
<= 9007199254740991
requestId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/